Subject: [v6ops] RFC 6092 - RFC 6204 - ULA : query for clarification/advice

From: Marc Lampo <[email-masked]>
Date: Fri, 24 Aug 2012 13:15:51 +0200

Hello group,

now read and reread both RFC's, but I feel not everything is said with
respect to ULA.
Please clarify, suggest, advice considering the following :
- 6092, REC-7 states :
  "by default, packets with ULA source ... should not be forwarded to
... exterior network."

- 6204 recommends customer edge routers implement 6092
  (in 4.4, Security Requirement #1)
  --> (implied) customer edge routers should not forward ULA sources
to the Internet.

- 6204 also recommends the use of ULA, internally !
  (cfr ULA-... requirements, and states (4.1 General Requirements)
   not to forward ULA over external inteface.)

So, how do I interpret this :
- ULA internally and NAT (network prefix rewriting) towards the
external interface
  (which would satisfy the requirement of not forwarding ULA source IP
over external interface)
  ((and which offers the benefit of ISP independancy for internal equipment))
or
- ULA is for communication between internal devices exclusively.
  A device that needs Internet connectivity must have public IP (and
ULA for internal communication).
  --> is the (so far : static) address selection table capable of
supporting this ?
       (I understand making address selection table configurable via
SLAAC/DHCPv6 are draft's only ?)
  ((and if I interpret address selection RFC correctly, preference to
ULA would be given
    only if within the same /64 (if "label", in RFC3484 == /64). ))

Thanks for positive feedback on this !
Kind regards,

Marc Lampo

---

From: Ole Trøan <[email-masked]>
Date: Fri, 24 Aug 2012 14:58:11 +0200

Marc,

>  ((and which offers the benefit of ISP independancy for internal equipment))

no.

> ULA for internal communication).

correct.

>  --> is the (so far : static) address selection table capable of

yes, see http://tools.ietf.org/html/draft-ietf-6man-rfc3484bis-06

>    only if within the same /64 (if "label", in RFC3484 == /64). ))

within the same /48.

cheers,
Ole

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Aug 2012 15:00:26 +0100

Marc,

...
>> ULA for internal communication).

You might also want to read draft-liu-v6ops-ula-usage-analysis
for more discussion.

   Brian